Subject: pull-request: can-next 2012-07-11

From: Marc Kleine-Budde <[email-masked]>
Date: Wed, 11 Jul 2012 16:05:25 +0200

Hello David,

the fourth pull request for upcoming v3.6 net-next consist of a series
of can_gw netlink cleanups done by Thomas Graf.

regards, Marc

--

The following changes since commit 061a5c316b6526dbc729049a16243ec27937cc31:

  Merge branch 'davem-next.r8169' of git://violet.fr.zoreil.com/romieu/linux (2012-07-09 16:09:47 -0700)

are available in the git repository at:

  git://gitorious.org/linux-can/linux-can-next.git for-davem

for you to fetch changes up to 5d91efa8dd8ced8647798d067f2ac8125194be58:

  can: gw: Remove pointless casts (2012-07-10 22:36:17 +0200)

----------------------------------------------------------------
Thomas Graf (4):
      can: gw: Don't bump nlmsg_len manually
      can: gw: Use nla_policy to validate netlink attributes
      can: gw: Properly fill the netlink header when responding to RTM_GETROUTE
      can: gw: Remove pointless casts

 net/can/gw.c |   90 +++++++++++++++++++++-------------------------------------
 1 file changed, 33 insertions(+), 57 deletions(-)

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |